List your personal monitor's runs
curl --request GET \
--url https://app.govly.com/api/tools/v1/workflows/{workflowId}/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.govly.com/api/tools/v1/workflows/{workflowId}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.govly.com/api/tools/v1/workflows/{workflowId}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.govly.com/api/tools/v1/workflows/{workflowId}/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.govly.com/api/tools/v1/workflows/{workflowId}/runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.govly.com/api/tools/v1/workflows/{workflowId}/runs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.govly.com/api/tools/v1/workflows/{workflowId}/runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"status": "<string>",
"runStatus": "queued",
"runStatusDetail": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"links": [
{
"label": "<string>",
"url": "<string>"
}
],
"recovery": {
"eligible": true,
"operation": "<string>",
"reason": "<string>",
"detail": "<string>",
"version": "<string>"
},
"workflowId": "<string>",
"savedInstructions": "<string>",
"rootExecutionId": "<string>",
"retryOfExecutionId": "<string>",
"successorExecutionId": "<string>",
"modelResult": {
"outcome": "<string>",
"findings": "<string>",
"requirements": [
"<string>"
],
"sourceReferences": [
"<string>"
],
"remainingWork": [
"<string>"
]
},
"modelResultUnavailableReason": "<string>",
"actions": [
{
"toolName": "<string>",
"status": "<string>",
"verifiedEffect": true
}
],
"actionCount": 123,
"actionsTruncated": true
}
],
"meta": {
"count": 123,
"nextCursor": "<string>",
"canUpload": true,
"canDelete": true
}
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}Workflows
List your personal monitor's runs
Requires the workflow-monitors flag and the active monitor owner. Organization-owned monitor controls remain internal.
GET
/
api
/
tools
/
v1
/
workflows
/
{workflowId}
/
runs
List your personal monitor's runs
curl --request GET \
--url https://app.govly.com/api/tools/v1/workflows/{workflowId}/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.govly.com/api/tools/v1/workflows/{workflowId}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.govly.com/api/tools/v1/workflows/{workflowId}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.govly.com/api/tools/v1/workflows/{workflowId}/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.govly.com/api/tools/v1/workflows/{workflowId}/runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.govly.com/api/tools/v1/workflows/{workflowId}/runs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.govly.com/api/tools/v1/workflows/{workflowId}/runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"status": "<string>",
"runStatus": "queued",
"runStatusDetail": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"links": [
{
"label": "<string>",
"url": "<string>"
}
],
"recovery": {
"eligible": true,
"operation": "<string>",
"reason": "<string>",
"detail": "<string>",
"version": "<string>"
},
"workflowId": "<string>",
"savedInstructions": "<string>",
"rootExecutionId": "<string>",
"retryOfExecutionId": "<string>",
"successorExecutionId": "<string>",
"modelResult": {
"outcome": "<string>",
"findings": "<string>",
"requirements": [
"<string>"
],
"sourceReferences": [
"<string>"
],
"remainingWork": [
"<string>"
]
},
"modelResultUnavailableReason": "<string>",
"actions": [
{
"toolName": "<string>",
"status": "<string>",
"verifiedEffect": true
}
],
"actionCount": 123,
"actionsTruncated": true
}
],
"meta": {
"count": 123,
"nextCursor": "<string>",
"canUpload": true,
"canDelete": true
}
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}Authorizations
bearerApiKeyheaderApiKey
Was this page helpful?